html, body{
    display: flex;
    flex-direction: column;
    margin: 0px;
    padding: 0px;
    font-family: 'Roboto', sans-serif;
    scroll-behavior: smooth;
}

body {
    overflow-y: auto;
    height: 100%;
}

#all_courses {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: url("../images/website/Dalmatian-Spots.svg");
}

.inner-wrapper-all-courses {
    max-width: 1200px;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 30px;
}

.title-all-courses {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: start;
    font-size: 27px;
    padding: 10px;
    font-weight: 700;
    color: #323439;
    border-left: 5px solid #ff0000;
    margin-bottom: 30px;
}

.category-wrapper {
    width: 100%;
    display: flex;
}

.category-courses {
    width: 100%;
    display: flex;
    justify-content: center;
}

.card-view-course {
    display: flex;
    flex-direction: column;
    width: fit-content;
    margin: 10px 25px;
    box-shadow: 0 0 5px 1px #e1e1e1;
}

.card-view-course:hover {
    box-shadow: 0 0 8px 1px #e1e1e1;
}

.image-wrapper-card-view-course {
    width: 200px;
    height: 233px;
    display: flex;
    overflow: hidden;
    justify-content: center;
    align-items: center;
}


.card-view-course img {
    width: 200px;
    cursor: pointer;
    -webkit-transition: width 0.2s ease-in-out;
    -o-transition: width 0.2s ease-in-out;
    transition: width 0.2s ease-in-out;
    cursor: pointer;
}

.card-view-course img:hover{
    width: 210px;
    -webkit-transition: width 0.2s ease-in-out;
    -o-transition: width 0.2s ease-in-out;
    transition: width 0.2s ease-in-out;
}

.card-view-course-info {
    width: 200px;
    padding: 10px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.card-view-course-info h6 {
    font-size: 14px;
    color: #999;
}

.course-description-card-view {
    flex-grow: 1;
    font-size: 13px;
    font-weight: 400;
    color: #000;
}

.enter-course-card-view {
    cursor: pointer;
    border: 1px solid #888;
    color: #434343;
    padding: 10px;
    text-align: center;
    border-radius: 2px;
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 10px;
}

.enter-course-card-view:hover {
    opacity: 0.9;
}

.buy-course-card-view {
    cursor: pointer;
    background: #3F51B5;
    padding: 10px;
    text-align: center;
    color: #ffffff;
    border-radius: 2px;
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 10px;
}

.buy-course-card-view:hover {
    opacity: 0.9;
}


.course-price-card-view {
    padding: 10px 0px;
    font-weight: 500;
    font-size: 14px;
    color: #333333;
}

.course-new-price-card-view {
    padding: 10px 0px;
    font-weight: 500;
    font-size: 14px;
    color: #333333;
    display: none;
}

.course-price-all-card-view {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.line-over-course-price {
    text-decoration: line-through;
    color: red;
}

.show-new-course-price {
    display: block;
}

.outer-wrapper-intro-video-index-title {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
}

.outer-wrapper-intro-video-index {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 50px;
  border-top: 1px solid #eee;
  border-bottom: 1px solid #eee;
}

.inner-wrapper-intro-video-index{
    max-width: 1100px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.title-intro-video-index {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: start;
    font-size: 27px;
    padding: 10px;
    font-weight: 700;
    color: #323439;
    border-left: 5px solid #ff0000;
    margin-bottom: 30px;
}

.wrapper-intro-video-index {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 30px;
}

.wrapper-intro-video-index iframe {
    box-shadow: 0 0 7px #cccccc;
    border-radius: 2px;
}



@media (max-width: 768px){
    .inner-wrapper-all-courses {
        padding: 30px 5px;
    }

    .title-all-courses {
        font-size: 20px;
        padding: 5px;
        margin-bottom: 20px;
    }

    .category-courses {
        width: 100%;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
    }

    .card-view-course {
        margin: 10px;
    }

    .image-wrapper-card-view-course {
        width: 150px;
        height: 175px;
    }


    .card-view-course img {
        width: 150px;
    }

    .card-view-course img:hover{
        width: 160px;
    }

    .card-view-course-info {
        width: 150px;
        padding: 8px;
    }

    .card-view-course-info h6 {
        font-size: 12px;
    }

    .course-description-card-view {
        font-size: 11px;
    }

    .enter-course-card-view {
        padding: 5px;
        font-size: 12px;
        margin-bottom: 8px;
    }

    .buy-course-card-view {
        padding: 5px;
        font-size: 12px;
        margin-bottom: 8px;
    }

    .course-price-card-view {
        padding: 8px 0px;
        font-size: 12px;
    }



    .outer-wrapper-intro-video-index-title {
      margin-top: 30px;
    }

    .outer-wrapper-intro-video-index {
      margin-bottom: 30px;
    }

    .inner-wrapper-intro-video-index{
        flex-direction: column;
        padding: 10px 5px;
        flex-flow: column-reverse;
        font-size: 15px;
    }

    .title-intro-video-index {
        font-size: 20px;
        margin-bottom: 30px;
        padding: 8px;
    }

    .wrapper-intro-video-index {
        padding: 0px;
    }

    .wrapper-intro-video-index iframe {
        box-shadow: none;
        margin-bottom: 10px;
    }
}



@media (max-width: 576px){
    .inner-wrapper-all-courses {
        padding: 20px 5px;
    }

    .title-all-courses {
        font-size: 18px;
        padding: 5px;
        margin-bottom: 20px;
    }

    .category-courses {
        width: 100%;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
    }

    .card-view-course {
        margin: 10px;
    }

    .image-wrapper-card-view-course {
        width: 150px;
        height: 175px;
    }


    .card-view-course img {
        width: 150px;
    }

    .card-view-course img:hover{
        width: 160px;
    }

    .card-view-course-info {
        width: 150px;
        padding: 8px;
    }

    .card-view-course-info h6 {
        font-size: 12px;
    }

    .course-description-card-view {
        font-size: 11px;
    }

    .enter-course-card-view {
        padding: 5px;
        font-size: 12px;
        margin-bottom: 8px;
    }

    .buy-course-card-view {
        padding: 5px;
        font-size: 12px;
        margin-bottom: 8px;
    }

    .course-price-card-view {
        padding: 8px 0px;
        font-size: 12px;
    }

    .outer-wrapper-intro-video-index-title {
      margin-top: 30px;
    }

    .outer-wrapper-intro-video-index {
      margin-bottom: 30px;
    }

    .inner-wrapper-intro-video-index{
        flex-direction: column;
        padding: 10px 5px;
        flex-flow: column-reverse;
        font-size: 14px;
    }

    .title-intro-video-index {
        font-size: 20px;
        margin-bottom: 30px;
        padding: 8px;
    }

    .wrapper-intro-video-index {
        padding: 0px;
    }

    .wrapper-intro-video-index iframe {
        box-shadow: none;
        margin-bottom: 10px;
    }
}